org.apache.poi.xwpf.usermodel

## Enum XWPFTable.XWPFBorderType

- java.lang.Object
- - java.lang.Enum<XWPFTable.XWPFBorderType>
  - - org.apache.poi.xwpf.usermodel.XWPFTable.XWPFBorderType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XWPFTable.XWPFBorderType>
  Enclosing class:
    XWPFTable

      public static enum XWPFTable.XWPFBorderType
      extends java.lang.Enum<XWPFTable.XWPFBorderType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DASH_DOT_STROKED`
    `DASH_SMALL_GAP`
    `DASHED`
    `DOT_DASH`
    `DOT_DOT_DASH`
    `DOTTED`
    `DOUBLE`
    `DOUBLE_WAVE`
    `INSET`
    `NIL`
    `NONE`
    `OUTSET`
    `SINGLE`
    `THICK`
    `THICK_THIN_LARGE_GAP`
    `THICK_THIN_MEDIUM_GAP`
    `THICK_THIN_SMALL_GAP`
    `THIN_THICK_LARGE_GAP`
    `THIN_THICK_MEDIUM_GAP`
    `THIN_THICK_SMALL_GAP`
    `THIN_THICK_THIN_LARGE_GAP`
    `THIN_THICK_THIN_MEDIUM_GAP`
    `THIN_THICK_THIN_SMALL_GAP`
    `THREE_D_EMBOSS`
    `THREE_D_ENGRAVE`
    `TRIPLE`
    `WAVE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XWPFTable.XWPFBorderType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XWPFTable.XWPFBorderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NIL

          public static final XWPFTable.XWPFBorderType NIL

    - #### NONE

          public static final XWPFTable.XWPFBorderType NONE

    - #### SINGLE

          public static final XWPFTable.XWPFBorderType SINGLE

    - #### THICK

          public static final XWPFTable.XWPFBorderType THICK

    - #### DOUBLE

          public static final XWPFTable.XWPFBorderType DOUBLE

    - #### DOTTED

          public static final XWPFTable.XWPFBorderType DOTTED

    - #### DASHED

          public static final XWPFTable.XWPFBorderType DASHED

    - #### DOT_DASH

          public static final XWPFTable.XWPFBorderType DOT_DASH

    - #### DOT_DOT_DASH

          public static final XWPFTable.XWPFBorderType DOT_DOT_DASH

    - #### TRIPLE

          public static final XWPFTable.XWPFBorderType TRIPLE

    - #### THIN_THICK_SMALL_GAP

          public static final XWPFTable.XWPFBorderType THIN_THICK_SMALL_GAP

    - #### THICK_THIN_SMALL_GAP

          public static final XWPFTable.XWPFBorderType THICK_THIN_SMALL_GAP

    - #### THIN_THICK_THIN_SMALL_GAP

          public static final XWPFTable.XWPFBorderType THIN_THICK_THIN_SMALL_GAP

    - #### THIN_THICK_MEDIUM_GAP

          public static final XWPFTable.XWPFBorderType THIN_THICK_MEDIUM_GAP

    - #### THICK_THIN_MEDIUM_GAP

          public static final XWPFTable.XWPFBorderType THICK_THIN_MEDIUM_GAP

    - #### THIN_THICK_THIN_MEDIUM_GAP

          public static final XWPFTable.XWPFBorderType THIN_THICK_THIN_MEDIUM_GAP

    - #### THIN_THICK_LARGE_GAP

          public static final XWPFTable.XWPFBorderType THIN_THICK_LARGE_GAP

    - #### THICK_THIN_LARGE_GAP

          public static final XWPFTable.XWPFBorderType THICK_THIN_LARGE_GAP

    - #### THIN_THICK_THIN_LARGE_GAP

          public static final XWPFTable.XWPFBorderType THIN_THICK_THIN_LARGE_GAP

    - #### WAVE

          public static final XWPFTable.XWPFBorderType WAVE

    - #### DOUBLE_WAVE

          public static final XWPFTable.XWPFBorderType DOUBLE_WAVE

    - #### DASH_SMALL_GAP

          public static final XWPFTable.XWPFBorderType DASH_SMALL_GAP

    - #### DASH_DOT_STROKED

          public static final XWPFTable.XWPFBorderType DASH_DOT_STROKED

    - #### THREE_D_EMBOSS

          public static final XWPFTable.XWPFBorderType THREE_D_EMBOSS

    - #### THREE_D_ENGRAVE

          public static final XWPFTable.XWPFBorderType THREE_D_ENGRAVE

    - #### OUTSET

          public static final XWPFTable.XWPFBorderType OUTSET

    - #### INSET

          public static final XWPFTable.XWPFBorderType INSET

  - ### Method Detail

    - #### values

          public static XWPFTable.XWPFBorderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XWPFTable.XWPFBorderType c : XWPFTable.XWPFBorderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XWPFTable.XWPFBorderType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.